﻿using Infragistics.UltraChart.Resources.Appearance;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace KB6429_SampleApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraChart1.ChartType = Infragistics.UltraChart.Shared.Styles.ChartType.TreeMapChart;
            ultraChart1.TreeMapChart.Margin = 1;
            ultraChart1.TreeMapChart.ChartTitle = "平成27年 都道府県別人口 (上位10都道府県) （出典「平成27年国勢調査結果」（総務省統計局））";

            ultraChart1.DataSource = GetData();
            ultraChart1.DataBind();
        }

        private DataTable GetData()
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("Prefecture", typeof(String));
            dt.Columns.Add("Population", typeof(int));

            dt.Rows.Add(new object[] { "北海道", 5382 });
            dt.Rows.Add(new object[] { "埼玉", 7267 });
            dt.Rows.Add(new object[] { "千葉", 6223 });
            dt.Rows.Add(new object[] { "東京", 13515 });
            dt.Rows.Add(new object[] { "神奈川", 9126 });
            dt.Rows.Add(new object[] { "静岡", 3700 });
            dt.Rows.Add(new object[] { "愛知", 7483 });
            dt.Rows.Add(new object[] { "大阪", 8839 });
            dt.Rows.Add(new object[] { "兵庫", 5535 });
            dt.Rows.Add(new object[] { "福岡", 5102 });

            return dt;
        }
    }
}
